function Fluc = FluctGRCharts(BenchErrors,ModelErrors,ForeHorizon,dates,Titles,LOCS,SmoothFore)

Loss = BenchErrors.^2-ModelErrors.^2;
nfore = size(Loss,1);
NNHH = length(ForeHorizon);
FluctGR = NaN(nfore-SmoothFore+1,2,3,NNHH );

for VV   = 1:3
    for HH = 1:NNHH
        results = FluctuationGR(squeeze(Loss(:,ForeHorizon(HH),VV)),SmoothFore);
        FluctGR(:,:,VV,HH)= results;
    end
end

Fluc  =cell(4,1);
kk=0;
figure;
for HorCSSE = ForeHorizon;
    kk=kk+1;
    dates_cut   = dates(SmoothFore:end);
    % FIGURE CSSE (normalized)
    h=subplot(2,2,kk);
    Toplot         = squeeze(FluctGR(:,1,:,kk));
    hFit   = plot(dates_cut,Toplot);
    CritVal = squeeze(FluctGR(:,2,1,kk));
    hold on; plot(dates_cut,CritVal);

    set(gca,'XTick',dates_cut(1:36:end),'Fontsize',11);
    datetick('x','yy','keepticks');
    p=get(h,'pos');
    p(1) = p(1) - 0.025;
    p(2) = p(2) - 0.025;
    p(3) = p(3) + 0.05;
    p(4) = p(4) + 0.05;
    set(h, 'pos', p);
 
    axis tight
%    recessionplot
    title([num2str(HorCSSE),' steps ahead'],'Fontsize',11)
    set(hFit(1),'Color','b','LineWidth',2);
    %set(hFit(2),'LineStyle','--','Marker','o','Color','r', 'markersize',3,'LineWidth',1);
    set(hFit(2),'LineStyle',':','LineWidth',3,'Color','r');
    set(hFit(3),'LineStyle','-.','LineWidth',2,'Color','g');
    clear aa
    if kk==1
        aa=LOCS{kk};
        legend(Titles,'Location',aa(:)')
    end
end